## brotli 1.0.9

=== CMakeLists.txt ===
# Ubuntu 12.04 LTS has CMake 2.8.7, and is an important target since
# several CI services, such as Travis and Drone, use it.  Solaris 11
# has 2.8.6, and it's not difficult to support if you already have to
# support 2.8.7.
cmake_minimum_required(VERSION 2.8.6)

project(brotli C)

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to Release as none was specified.")
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build." FORCE)
else()
  message(STATUS "Build type is '${CMAKE_BUILD_TYPE}'")
endif()

include(CheckCSourceCompiles)
check_c_source_compiles(
  "#if defined(__EMSCRIPTEN__)
   int main() {return 0;}
   #endif"
  BROTLI_EMSCRIPTEN
)
if (BROTLI_EMSCRIPTEN)
  message("-- Compiler is EMSCRIPTEN")
else()
  message("-- Compiler is not EMSCRIPTEN")
endif()

# If Brotli is being bundled in another project, we don't want to
# install anything.  However, we want to let people override this, so
# we'll use the BROTLI_BUNDLED_MODE variable to let them do that; just
# set it to OFF in your project before you add_subdirectory(brotli).
get_directory_property(BROTLI_PARENT_DIRECTORY PARENT_DIRECTORY)
if(NOT DEFINED BROTLI_BUNDLED_MODE)
  # Bundled mode hasn't been set one way or the other, set the default
  # depending on whether or not we are the top-level project.
  if(BROTLI_PARENT_DIRECTORY)
    set(BROTLI_BUNDLED_MODE ON)
  else()
    set(BROTLI_BUNDLED_MODE OFF)
  endif()
endif()
mark_as_advanced(BROTLI_BUNDLED_MODE)

include(GNUInstallDirs)

# Parse version information from common/version.h. Normally we would
# define these values here and write them out to configuration file(s)
# (i.e., config.h), but in this case we parse them from
# common/version.h to be less intrusive.
function(hex_to_dec HEXADECIMAL DECIMAL)
  string(TOUPPER "${HEXADECIMAL}" _tail)
  set(_decimal 0)
  string(LENGTH "${_tail}" _tail_length)
  while (_tail_length GREATER 0)
    math(EXPR _decimal "${_decimal} * 16")
    string(SUBSTRING "${_tail}" 0 1 _digit)
    string(SUBSTRING "${_tail}" 1 -1 _tail)
    if (_digit STREQUAL "A")
      math(EXPR _decimal "${_decimal} + 10")
    elseif (_digit STREQUAL "B")
      math(EXPR _decimal "${_decimal} + 11")
    elseif (_digit STREQUAL "C")
      math(EXPR _decimal "${_decimal} + 12")
    elseif (_digit STREQUAL "D")
      math(EXPR _decimal "${_decimal} + 13")
    elseif (_digit STREQUAL "E")
      math(EXPR _decimal "${_decimal} + 14")
    elseif (_digit STREQUAL "F")
      math(EXPR _decimal "${_decimal} + 15")
    else()
      math(EXPR _decimal "${_decimal} + ${_digit}")
    endif()
    string(LENGTH "${_tail}" _tail_length)
  endwhile()
  set(${DECIMAL} ${_decimal} PARENT_SCOPE)
endfunction(hex_to_dec)

# Version information
file(STRINGS "c/common/version.h" _brotli_version_line REGEX "^#define BROTLI_VERSION (0x[0-9a-fA-F]+)$")
string(REGEX REPLACE "^#define BROTLI_VERSION 0x([0-9a-fA-F]+)$" "\\1" _brotli_version_hex "${_brotli_version_line}")
hex_to_dec("${_brotli_version_hex}" _brotli_version)
math(EXPR BROTLI_VERSION_MAJOR "${_brotli_version} >> 24")
math(EXPR BROTLI_VERSION_MINOR "(${_brotli_version} >> 12) & 4095")
math(EXPR BROTLI_VERSION_PATCH "${_brotli_version} & 4095")
set(BROTLI_VERSION "${BROTLI_VERSION_MAJOR}.${BROTLI_VERSION_MINOR}.${BROTLI_VERSION_PATCH}")
mark_as_advanced(BROTLI_VERSION BROTLI_VERSION_MAJOR BROTLI_VERSION_MINOR BROTLI_VERSION_PATCH)

# ABI Version information
file(STRINGS "c/common/version.h" _brotli_abi_info_line REGEX "^#define BROTLI_ABI_VERSION (0x[0-9a-fA-F]+)$")
string(REGEX REPLACE "^#define BROTLI_ABI_VERSION 0x([0-9a-fA-F]+)$" "\\1" _brotli_abi_info_hex "${_brotli_abi_info_line}")
hex_to_dec("${_brotli_abi_info_hex}" _brotli_abi_info)
math(EXPR BROTLI_ABI_CURRENT "${_brotli_abi_info} >> 24")
math(EXPR BROTLI_ABI_REVISION "(${_brotli_abi_info} >> 12) & 4095")
math(EXPR BROTLI_ABI_AGE "${_brotli_abi_info} & 4095")
math(EXPR BROTLI_ABI_COMPATIBILITY "${BROTLI_ABI_CURRENT} - ${BROTLI_ABI_AGE}")
mark_as_advanced(BROTLI_ABI_CURRENT BROTLI_ABI_REVISION BROTLI_ABI_AGE BROTLI_ABI_COMPATIBILITY)

if (ENABLE_SANITIZER)
  set(CMAKE_C_FLAGS " ${CMAKE_C_FLAGS} -fsanitize=${ENABLE_SANITIZER}")
  set(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -fsanitize=${ENABLE_SANITIZER}")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=${ENABLE_SANITIZER}")

  # By default, brotli depends on undefined behavior, but setting
  # BROTLI_BUILD_PORTABLE should result in a build which does not.
  if(ENABLE_SANITIZER STREQUAL "undefined")
    add_definitions(-DBROTLI_BUILD_PORTABLE)
  endif()
endif ()

include(CheckFunctionExists)
set(LIBM_LIBRARY)
CHECK_FUNCTION_EXISTS(log2 LOG2_RES)
if(NOT LOG2_RES)
  set(orig_req_libs "${CMAKE_REQUIRED_LIBRARIES}")
  set(CMAKE_REQUIRED_LIBRARIES "${CMAKE_REQUIRED_LIBRARIES};m")
  CHECK_FUNCTION_EXISTS(log2 LOG2_LIBM_RES)
  if(LOG2_LIBM_RES)
    set(LIBM_LIBRARY "m")
    add_definitions(-DBROTLI_HAVE_LOG2=1)
  else()
    add_definitions(-DBROTLI_HAVE_LOG2=0)
  endif()

  set(CMAKE_REQUIRED_LIBRARIES "${orig_req_libs}")
  unset(LOG2_LIBM_RES)
  unset(orig_req_libs)
else()
  add_definitions(-DBROTLI_HAVE_LOG2=1)
endif()
unset(LOG2_RES)

set(BROTLI_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/c/include")
mark_as_advanced(BROTLI_INCLUDE_DIRS)

set(BROTLI_LIBRARIES_CORE brotlienc brotlidec brotlicommon)
set(BROTLI_LIBRARIES ${BROTLI_LIBRARIES_CORE} ${LIBM_LIBRARY})
mark_as_advanced(BROTLI_LIBRARIES)

set(BROTLI_LIBRARIES_CORE_STATIC brotlienc-static brotlidec-static brotlicommon-static)
set(BROTLI_LIBRARIES_STATIC ${BROTLI_LIBRARIES_CORE_STATIC} ${LIBM_LIBRARY})
mark_as_advanced(BROTLI_LIBRARIES_STATIC)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  add_definitions(-DOS_LINUX)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  add_definitions(-DOS_FREEBSD)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  add_definitions(-DOS_MACOSX)
endif()

function(transform_sources_list INPUT_FILE OUTPUT_FILE)
  file(READ ${INPUT_FILE} TEXT)
  string(REGEX REPLACE "\\\\\n" "~continuation~" TEXT ${TEXT})
  string(REGEX REPLACE "([a-zA-Z_][a-zA-Z0-9_]*)[\t ]*=[\t ]*([^\n]*)" "SET(\\1 \\2)" TEXT ${TEXT})
  string(REPLACE "~continuation~" "\n" TEXT ${TEXT})
  file(WRITE ${OUTPUT_FILE} ${TEXT})
endfunction()

transform_sources_list("scripts/sources.lst" "${CMAKE_CURRENT_BINARY_DIR}/sources.lst.cmake")
include("${CMAKE_CURRENT_BINARY_DIR}/sources.lst.cmake")

if(BROTLI_EMSCRIPTEN)
  set(BROTLI_SHARED_LIBS "")
else()
  set(BROTLI_SHARED_LIBS brotlicommon brotlidec brotlienc)
  add_library(brotlicommon SHARED ${BROTLI_COMMON_C})
  add_library(brotlidec SHARED ${BROTLI_DEC_C})
  add_library(brotlienc SHARED ${BROTLI_ENC_C})
endif()

set(BROTLI_STATIC_LIBS brotlicommon-static brotlidec-static brotlienc-static)
add_library(brotlicommon-static STATIC ${BROTLI_COMMON_C})
add_library(brotlidec-static STATIC ${BROTLI_DEC_C})
add_library(brotlienc-static STATIC ${BROTLI_ENC_C})

# Older CMake versions does not understand INCLUDE_DIRECTORIES property.
include_directories(${BROTLI_INCLUDE_DIRS})

foreach(lib IN LISTS BROTLI_SHARED_LIBS)
  target_compile_definitions(${lib} PUBLIC "BROTLI_SHARED_COMPILATION" )
  string(TOUPPER "${lib}" LIB)
  set_target_properties (${lib} PROPERTIES DEFINE_SYMBOL "${LIB}_SHARED_COMPILATION")
endforeach()

foreach(lib IN LISTS BROTLI_SHARED_LIBS BROTLI_STATIC_LIBS)
  target_link_libraries(${lib} ${LIBM_LIBRARY})
  set_property(TARGET ${lib} APPEND PROPERTY INCLUDE_DIRECTORIES ${BROTLI_INCLUDE_DIRS})
  set_target_properties(${lib} PROPERTIES
    VERSION "${BROTLI_ABI_COMPATIBILITY}.${BROTLI_ABI_AGE}.${BROTLI_ABI_REVISION}"
    SOVERSION "${BROTLI_ABI_COMPATIBILITY}")
  if(NOT BROTLI_EMSCRIPTEN)
    set_target_properties(${lib} PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
  endif()
  set_property(TARGET ${lib} APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${BROTLI_INCLUDE_DIRS}")
endforeach()

if(NOT BROTLI_EMSCRIPTEN)
target_link_libraries(brotlidec brotlicommon)
target_link_libraries(brotlienc brotlicommon)
endif()

target_link_libraries(brotlidec-static brotlicommon-static)
target_link_libraries(brotlienc-static brotlicommon-static)

# For projects stuck on older versions of CMake, this will set the
# BROTLI_INCLUDE_DIRS and BROTLI_LIBRARIES variables so they still
# have a relatively easy way to use Brotli:
#
#   include_directories(${BROTLI_INCLUDE_DIRS})
#   target_link_libraries(foo ${BROTLI_LIBRARIES})
if(BROTLI_PARENT_DIRECTORY)
  set(BROTLI_INCLUDE_DIRS "${BROTLI_INCLUDE_DIRS}" PARENT_SCOPE)
  set(BROTLI_LIBRARIES "${BROTLI_LIBRARIES}" PARENT_SCOPE)
endif()

# Build the brotli executable
add_executable(brotli ${BROTLI_CLI_C})
target_link_libraries(brotli ${BROTLI_LIBRARIES_STATIC})

# Installation
if(NOT BROTLI_EMSCRIPTEN)
if(NOT BROTLI_BUNDLED_MODE)
  install(
    TARGETS brotli
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  )

  install(
    TARGETS ${BROTLI_LIBRARIES_CORE}
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  )

  install(
    TARGETS ${BROTLI_LIBRARIES_CORE_STATIC}
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  )

  install(
    DIRECTORY ${BROTLI_INCLUDE_DIRS}/brotli
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
  )
endif()  # BROTLI_BUNDLED_MODE
endif()  # BROTLI_EMSCRIPTEN

# Tests

# If we're targeting Windows but not running on Windows, we need Wine
# to run the tests...
if(NOT BROTLI_DISABLE_TESTS)
  if(WIN32 AND NOT CMAKE_HOST_WIN32)
    find_program(BROTLI_WRAPPER NAMES wine)

    if(NOT BROTLI_WRAPPER)
      message(STATUS "wine not found, disabling tests")
      set(BROTLI_DISABLE_TESTS TRUE)
    endif()
  endif()
endif()

# If our compiler is a cross-compiler that we know about (arm/aarch64),
# then we need to use qemu to execute the tests.
if(NOT BROTLI_DISABLE_TESTS)
  if ("${CMAKE_C_COMPILER}" MATCHES "^.*/arm-linux-gnueabihf-.*$")
    message(STATUS "Detected arm-linux-gnueabihf cross-compilation")
    set(BROTLI_WRAPPER "qemu-arm")
    set(BROTLI_WRAPPER_LD_PREFIX "/usr/arm-linux-gnueabihf")
  endif()

  if ("${CMAKE_C_COMPILER}" MATCHES "^.*/arm-linux-gnueabi-.*$")
    message(STATUS "Detected arm-linux-gnueabi cross-compilation")
    set(BROTLI_WRAPPER "qemu-arm")
    set(BROTLI_WRAPPER_LD_PREFIX "/usr/arm-linux-gnueabi")
  endif()

  if ("${CMAKE_C_COMPILER}" MATCHES "^.*/aarch64-linux-gnu-.*$")
    message(STATUS "Detected aarch64-linux-gnu cross-compilation")
    set(BROTLI_WRAPPER "qemu-aarch64")
    set(BROTLI_WRAPPER_LD_PREFIX "/usr/aarch64-linux-gnu")
  endif()
endif()

if(NOT BROTLI_DISABLE_TESTS)
  include(CTest)
  enable_testing()

  set(ROUNDTRIP_INPUTS
    tests/testdata/alice29.txt
    tests/testdata/asyoulik.txt
    tests/testdata/lcet10.txt
    tests/testdata/plrabn12.txt
    c/enc/encode.c
    c/common/dictionary.h
    c/dec/decode.c)

  foreach(INPUT ${ROUNDTRIP_INPUTS})
    get_filename_component(OUTPUT_NAME "${INPUT}" NAME)

    set(OUTPUT_FILE "${CMAKE_CURRENT_BINARY_DIR}/${OUTPUT_NAME}")
    set(INPUT_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${INPUT}")

    if (EXISTS "${INPUT_FILE}")
      foreach(quality 1 6 9 11)
        add_test(NAME "${BROTLI_TEST_PREFIX}roundtrip/${INPUT}/${quality}"
          COMMAND "${CMAKE_COMMAND}"
            -DBROTLI_WRAPPER=${BROTLI_WRAPPER}
            -DBROTLI_WRAPPER_LD_PREFIX=${BROTLI_WRAPPER_LD_PREFIX}
            -DBROTLI_CLI=$<TARGET_FILE:brotli>
            -DQUALITY=${quality}
            -DINPUT=${INPUT_FILE}
            -DOUTPUT=${OUTPUT_FILE}.${quality}
            -P ${CMAKE_CURRENT_SOURCE_DIR}/tests/run-roundtrip-test.cmake)
      endforeach()
    else()
      message(WARNING "Test file ${INPUT} does not exist.")
    endif()
  endforeach()

  file(GLOB_RECURSE
    COMPATIBILITY_INPUTS
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    tests/testdata/*.compressed*)

  foreach(INPUT ${COMPATIBILITY_INPUTS})

=== debian/changelog ===
brotli (1.0.9-2) unstable; urgency=medium

  * Team Upload
  * debian/patches/838.patch:
    - upstream pull request to fix pkg-config based detection break
      (Closes: #969561)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Sep 2020 00:11:03 +0200

brotli (1.0.9-1) unstable; urgency=medium

  * Use debhelper 13
  * New upstream version 1.0.9

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 01 Sep 2020 22:25:32 +0200

brotli (1.0.7-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christian Klein ]
  * Mark libbrotli-dev as "Multi-Arch: same" so it is multiarch-installable
    (Closes: #964256)

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 16 Jul 2020 01:23:57 +0200

brotli (1.0.7-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use `py3versions -s` for autopkgtest (Closes: #956875).

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Apr 2020 10:07:13 +0200

brotli (1.0.7-6) unstable; urgency=medium

  * Drop python2 support; Closes: #936242

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Jan 2020 18:09:12 -0500

brotli (1.0.7-5) unstable; urgency=medium

  * bump std-ver to 4.4.1
  * fix names of static libs (Closes: #943321)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 08 Nov 2019 01:09:23 +0100

brotli (1.0.7-4) unstable; urgency=medium

  * fix FTCBFS: multiarchify python Build-Depends (Closes: #940620)
  * add *.a libraries to -dev package (Closes: #942879)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 22 Oct 2019 21:23:12 +0200

brotli (1.0.7-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Support the nopython build profile. (Closes: #940619)

  [ Tomasz Buchert ]
  * Bump std-ver to 4.4.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 28 Sep 2019 17:30:03 +0200

=== debian/control ===
Source: brotli
Maintainer: Tomasz Buchert <tomasz@debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Section: python
Priority: optional
Build-Depends: cmake,
               debhelper (>= 13),
               debhelper-compat (= 13),
               dh-python <!nopython>,
               libpython3-all-dev <!nopython>,
               python3-all-dev:any <!nopython>,
               python3-setuptools <!nopython>,
               python3:any <!nopython>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/brotli
Vcs-Git: https://salsa.debian.org/debian/brotli.git
Homepage: https://github.com/google/brotli
Rules-Requires-Root: no

Package: python3-brotli
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: lossless compression algorithm and format (Python 3 version)
 Brotli is a generic-purpose lossless compression algorithm
 that compresses data using a combination of a modern variant
 of the LZ77 algorithm, Huffman coding and 2nd order context modeling,
 with a compression ratio comparable to the best currently available
 general-purpose compression methods. It is similar in speed with
 deflate but offers more dense compression.
 .
 This package installs a Python 3 module.
Build-Profiles: <!nopython>

Package: brotli
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lossless compression algorithm and format (command line utility)
 Brotli is a generic-purpose lossless compression algorithm
 that compresses data using a combination of a modern variant
 of the LZ77 algorithm, Huffman coding and 2nd order context modeling,
 with a compression ratio comparable to the best currently available
 general-purpose compression methods. It is similar in speed with
 deflate but offers more dense compression.
 .
 This package installs a command line utility.

Package: libbrotli-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbrotli1 (= ${binary:Version}), ${misc:Depends}
Description: library implementing brotli encoder and decoder (development files)
 Brotli is a generic-purpose lossless compression algorithm
 that compresses data using a combination of a modern variant
 of the LZ77 algorithm, Huffman coding and 2nd order context modeling,
 with a compression ratio comparable to the best currently available
 general-purpose compression methods. It is similar in speed with
 deflate but offers more dense compression.
 .
 This package installs development files.

Package: libbrotli1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library implementing brotli encoder and decoder (shared libraries)
 Brotli is a generic-purpose lossless compression algorithm
 that compresses data using a combination of a modern variant
 of the LZ77 algorithm, Huffman coding and 2nd order context modeling,
 with a compression ratio comparable to the best currently available
 general-purpose compression methods. It is similar in speed with
 deflate but offers more dense compression.
 .
 This package installs shared libraries.

## brotli 1.1

=== DESCRIPTION ===
Package: brotli
Type: Package
Title: A Compression Format Optimized for the Web
Version: 1.1
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Google, Inc", role = c("aut","cph"), comment = "Brotli C++ library")
  )
Description: A lossless compressed data format that uses a combination of the
    LZ77 algorithm and Huffman coding. Brotli is similar in speed to deflate (gzip)
    but offers more dense compression.
License: MIT + file LICENSE
URL: https://tools.ietf.org/html/rfc7932 (spec)
        https://github.com/google/brotli#readme (upstream)
        http://github.com/jeroen/brotli#read (devel)
BugReports: http://github.com/jeroen/brotli/issues
VignetteBuilder: knitr, R.rsp
Suggests: spelling, knitr, R.rsp, microbenchmark, rmarkdown, ggplot2
RoxygenNote: 6.0.1
Language: en-US
NeedsCompilation: yes
Packaged: 2018-01-27 19:52:20 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Google, Inc [aut, cph] (Brotli C++ library)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2018-01-28 16:03:24 UTC

## brotli 1.1.0

=== debian/changelog ===
brotli (1.1.0-2build6) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:14:51 +0000

brotli (1.1.0-2build5) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 15:05:26 +0000

brotli (1.1.0-2build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:46:54 +0000

brotli (1.1.0-2build3) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:58:58 +0100

brotli (1.1.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:29:06 +0000

brotli (1.1.0-2build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:14:24 +0100

brotli (1.1.0-2) unstable; urgency=medium

  * Team upload
  * Fixup patch to build static libraries, this should
    fix freetype autopkgtests errors (Closes: #1056569).
    Thanks Philipp Wolski <xist12@tlen.pl> for the patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 11:41:29 +0100

brotli (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0 (Closes: #1051575)
  * Update std-ver to 4.6.2 (no changes needed)
  * d/watch remodernization

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 05 Sep 2023 21:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: brotli
-Maintainer: Tomasz Buchert <tomasz@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Buchert <tomasz@debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Section: python
 Priority: optional
@@ -11,7 +12,7 @@
                python3-all-dev:any <!nopython>,
                python3-setuptools <!nopython>,
                python3:any <!nopython>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/brotli
 Vcs-Git: https://salsa.debian.org/debian/brotli.git
 Homepage: https://github.com/google/brotli

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME = brotli

ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --buildsystem=cmake

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=cmake

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --buildsystem=cmake
else
%:
	dh $@ --buildsystem=cmake
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	# drop "-static" part from static libs
	debian/rename-static-libs.sh
	dh_install

=== debian/tests/control ===
Tests: python3
Depends: python3-all, python3-brotli

## brotli 1.2

=== DESCRIPTION ===
Package: brotli
Type: Package
Title: A Compression Format Optimized for the Web
Version: 1.2
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Google, Inc", role = c("aut","cph"), comment = "Brotli C++ library"))
Description: A lossless compressed data format that uses a combination of the
    LZ77 algorithm and Huffman coding. Brotli is similar in speed to deflate (gzip)
    but offers more dense compression.
License: MIT + file LICENSE
URL: https://tools.ietf.org/html/rfc7932 (spec)
        https://github.com/google/brotli#readme (upstream)
        http://github.com/jeroen/brotli#read (devel)
BugReports: http://github.com/jeroen/brotli/issues
VignetteBuilder: knitr, R.rsp
Suggests: spelling, knitr, R.rsp, microbenchmark, rmarkdown, ggplot2
RoxygenNote: 6.0.1
Language: en-US
NeedsCompilation: yes
Packaged: 2018-05-13 19:58:12 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Google, Inc [aut, cph] (Brotli C++ library)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2018-05-13 20:31:43 UTC

## brotli 1.2.0

=== debian/changelog ===
brotli (1.2.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTBFS with nopython profile. (Closes: #1127021)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 07 Feb 2026 09:41:56 +0100

brotli (1.2.0-2) unstable; urgency=medium

  * Import upstream fix to fix loong64 build (Closes: #1126927)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 04 Feb 2026 21:53:16 +0100

brotli (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 01 Feb 2026 12:00:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: brotli
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Buchert <tomasz@debian.org>
+Standards-Version: 4.7.3
+Maintainer: Tomasz Buchert <tomasz@debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Section: python
-Priority: optional
-Build-Depends: cmake,
-               debhelper (>= 13),
+Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
                dh-python <!nopython>,
+               cmake,
                libpython3-all-dev <!nopython>,
                python3-all-dev:any <!nopython>,
                python3-setuptools <!nopython>,
                python3:any <!nopython>
-Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/brotli
 Vcs-Git: https://salsa.debian.org/debian/brotli.git
 Homepage: https://github.com/google/brotli
-Rules-Requires-Root: no
 
 Package: python3-brotli
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,15 @@
 
 export PYBUILD_NAME = brotli
 
+CMAKE_FLAGS := -DBROTLI_BUILD_FOR_PACKAGE=ON
+
 ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
 %:
 	dh $@ --buildsystem=pybuild --with=python3
 
 override_dh_auto_configure:
 	dh_auto_configure
-	dh_auto_configure --buildsystem=cmake
+	dh_auto_configure --buildsystem=cmake -- $(CMAKE_FLAGS)
 
 override_dh_auto_build:
 	dh_auto_build
@@ -32,6 +34,9 @@
 else
 %:
 	dh $@ --buildsystem=cmake
+
+override_dh_auto_configure:
+	dh_auto_configure --buildsystem=cmake -- $(CMAKE_FLAGS)
 endif
 
 override_dh_missing:

## brotli 1.3.0

=== DESCRIPTION ===
Package: brotli
Type: Package
Title: A Compression Format Optimized for the Web
Version: 1.3.0
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Google, Inc", role = c("aut","cph"), comment = "Brotli C++ library"))
Description: A lossless compressed data format that uses a combination of the
    LZ77 algorithm and Huffman coding. Brotli is similar in speed to deflate (gzip)
    but offers more dense compression.
License: MIT + file LICENSE
URL: https://www.rfc-editor.org/rfc/rfc7932 (spec)
        https://github.com/google/brotli#readme (upstream)
        https://github.com/jeroen/brotli#read (devel)
BugReports: https://github.com/jeroen/brotli/issues
VignetteBuilder: knitr, R.rsp
Suggests: spelling, knitr, R.rsp, microbenchmark, rmarkdown, ggplot2
RoxygenNote: 6.0.1
Language: en-US
NeedsCompilation: yes
Packaged: 2022-10-13 08:58:22 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Google, Inc [aut, cph] (Brotli C++ library)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2022-10-14 09:22:33 UTC

## brotli 1.3.1

=== DESCRIPTION ===
Package: brotli
Type: Package
Title: A Compression Format Optimized for the Web
Version: 1.3.1
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre"),
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Google, Inc", role = c("aut","cph"), comment = "Brotli C++ library"))
Description: A lossless compressed data format that uses a combination 
    of the LZ77 algorithm and Huffman coding <https://www.rfc-editor.org/rfc/rfc7932>.
    Brotli is similar in speed to deflate (gzip) but offers more dense compression.
License: MIT + file LICENSE
URL: https://jeroen.r-universe.dev/brotli
BugReports: https://github.com/jeroen/brotli/issues
VignetteBuilder: knitr, R.rsp
Suggests: spelling, knitr, R.rsp, microbenchmark, rmarkdown, ggplot2
RoxygenNote: 6.0.1
Language: en-US
NeedsCompilation: yes
Packaged: 2024-10-03 14:12:24 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Google, Inc [aut, cph] (Brotli C++ library)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 13:00:02 UTC

## brotli 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: brotli
 Type: Package
 Title: A Compression Format Optimized for the Web
-Version: 1.3.1
+Version: 1.3.2
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre"),
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -17,9 +17,9 @@
 RoxygenNote: 6.0.1
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2024-10-03 14:12:24 UTC; jeroen
+Packaged: 2025-03-17 21:25:31 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Google, Inc [aut, cph] (Brotli C++ library)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-10-04 13:00:02 UTC
+Date/Publication: 2025-03-18 11:20:02 UTC
